Index: libfac/ChangeLog
===================================================================
--- libfac/ChangeLog	(revision e90314894f11eeb9e91dd2e8b38dbaa5f46569d9)
+++ libfac/ChangeLog	(revision b87513c30ef67e4ec83bdb49804f182f9903f736)
@@ -1,2 +1,6 @@
+Thu Jun 28 18:27:55 CEST 2001 Hans Schoenemann <hannes@mathematik.uni-kl.de>
+
+       * fixes to resultant, newfactoras, IrrCharSeries, Factorize
+
 Tue Apr 10 15:34:04 CEST 2001 Hans Schoenemann <hannes@mathematik.uni-kl.de>
 
@@ -5,67 +9,67 @@
 Wed Jun 03 14:42:51 1998    <pohl@FUECHSE>
 
-	* Makefile.in (CPPFLAGS): include paths fixed so that Windows
-	NT will find Factor.h before factor.h 
+        * Makefile.in (CPPFLAGS): include paths fixed so that Windows
+        NT will find Factor.h before factor.h
 
 1998-05-25  Olaf Bachmann  <obachman@mathematik.uni-kl.de>
 
-	* charset/alg_factor.cc: replaced identifiers 'random' by
-	'myrandom' to avoid name conflicts with the built-in (stdlib)
-	library function 'random' which might be a macro -- and, actually
-	is  under gcc v 2.6.3
-	
+        * charset/alg_factor.cc: replaced identifiers 'random' by
+        'myrandom' to avoid name conflicts with the built-in (stdlib)
+        library function 'random' which might be a macro -- and, actually
+        is  under gcc v 2.6.3
+
 
 Wed Apr 22 16:12:16 1998  Jens Schmidt  <schmidt@mathematik.uni-kl.de>
 
-	* header.tpl, factor.h, factor/version.cc (libfac_name,
-	  libgac_version, libfac_date, libfac_athur): defined/declared
- 	  const
+        * header.tpl, factor.h, factor/version.cc (libfac_name,
+          libgac_version, libfac_date, libfac_athur): defined/declared
+           const
 
 Thu Mar 12 14:32:06 1998  Jens Schmidt  <schmidt@mathematik.uni-kl.de>
 
-	* charset/csutil.cc, charset/alg_factor.cc: all references to
-	  `common_den()' replaced by `bCommonDen()'
+        * charset/csutil.cc, charset/alg_factor.cc: all references to
+          `common_den()' replaced by `bCommonDen()'
 
 Fri Feb 27 11:32:02 1998  Jens Schmidt  <schmidt@mathematik.uni-kl.de>
 
-	* factor/tmpl_inst.cc: template names adapted (`*.cc' ->
-	  `ftmpl_*.cc')
+        * factor/tmpl_inst.cc: template names adapted (`*.cc' ->
+          `ftmpl_*.cc')
 
 Tue May 13 11:32:11 1997  Olaf Bachmann  <obachman@ratchwum.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* Makefile.in (uninstall): took out template installation
-	(all): added OPTOBJ target so that the dir is created, if necessary
+        * Makefile.in (uninstall): took out template installation
+        (all): added OPTOBJ target so that the dir is created, if necessary
 
 Sun May 25 14:06:12 1997  Olaf Bachmann  <obachman@ratchwum.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* configure.in: Fixed handling of CXXFLAGS -- it is not touched if
-	  set as env var
+        * configure.in: Fixed handling of CXXFLAGS -- it is not touched if
+          set as env var
 
 Fri May 23 11:10:18 1997  Olaf Bachmann  <obachman@schlupp.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* configure.in (CXXFLAGS): Check whether they are set before value
-	  is assigned 
+        * configure.in (CXXFLAGS): Check whether they are set before value
+          is assigned
 
 Tue May 13 20:09:03 1997  Olaf Bachmann  <obachman@schlupp.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* configure.in: Exit with error if factory.h was not found and
-	  --enable-factory option was not explicitely given
+        * configure.in: Exit with error if factory.h was not found and
+          --enable-factory option was not explicitely given
 
 Tue May 13 11:32:11 1997  Olaf Bachmann  <obachman@ratchwum.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* Makefile.in (uninstall): took out template installation
+        * Makefile.in (uninstall): took out template installation
 
 Tue May  6 09:30:51 1997  Olaf Bachmann  <obachman@ratchwum.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* Added ranlib after installing libs -- Suns seem to need it
+        * Added ranlib after installing libs -- Suns seem to need it
 
-	* configure.in: Manuallu put INSTALL into Makefile.in
+        * configure.in: Manuallu put INSTALL into Makefile.in
 
 Mon May  5 15:43:58 1997  Olaf Bachmann  <obachman@ratchwum.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* added installation of templates
+        * added installation of templates
 
 Sat May  3 19:58:53 1997  Olaf Bachmann  <obachman@ratchwum.mathematik.uni-kl.de (Olaf Bachmann)>
 
-	* Makefile.in (CPPFLAGS): Put -I. before other CPPFLAGS
+        * Makefile.in (CPPFLAGS): Put -I. before other CPPFLAGS
 
Index: libfac/charset/alg_factor.cc
===================================================================
--- libfac/charset/alg_factor.cc	(revision e90314894f11eeb9e91dd2e8b38dbaa5f46569d9)
+++ libfac/charset/alg_factor.cc	(revision b87513c30ef67e4ec83bdb49804f182f9903f736)
@@ -3,5 +3,5 @@
 // emacs edit mode for this file is -*- C++ -*-
 ////////////////////////////////////////////////////////////
-static char * rcsid = "$Id: alg_factor.cc,v 1.7 2001-06-27 13:58:05 Singular Exp $";
+static char * rcsid = "$Id: alg_factor.cc,v 1.8 2001-08-06 08:32:53 Singular Exp $";
 ////////////////////////////////////////////////////////////
 // FACTORY - Includes
@@ -379,8 +379,13 @@
     else
     {
+      #if 1
       Variable XX;
       CanonicalForm mipo=getMipo(X,XX);
       CFList as(mipo);
       Factorlist = newfactoras(R, as , 1);
+      #else
+      // factor R over k
+      Factorlist = Factorize(R);
+      #endif
     }
   }
@@ -671,4 +676,7 @@
 /*
 $Log: not supported by cvs2svn $
+Revision 1.7  2001/06/27 13:58:05  Singular
+*hannes/GP: debug newfactoras, char_series, ...
+
 Revision 1.6  2001/06/21 14:57:04  Singular
 *hannes/GP: Factorize, newfactoras, ...
Index: libfac/charset/charset.cc
===================================================================
--- libfac/charset/charset.cc	(revision e90314894f11eeb9e91dd2e8b38dbaa5f46569d9)
+++ libfac/charset/charset.cc	(revision b87513c30ef67e4ec83bdb49804f182f9903f736)
@@ -2,5 +2,5 @@
 ////////////////////////////////////////////////////////////
 // emacs edit mode for this file is -*- C++ -*-
-static char * rcsid = "$Id: charset.cc,v 1.7 2001-06-27 13:58:06 Singular Exp $";
+static char * rcsid = "$Id: charset.cc,v 1.8 2001-08-06 08:32:53 Singular Exp $";
 /////////////////////////////////////////////////////////////
 // FACTORY - Includes
@@ -581,5 +581,5 @@
           {
 #ifdef SINGULAR
-            WarnS("libfac: Factoring over algebraic function field required!");
+            //WarnS("libfac: Factoring over algebraic function field required!");
 #else
 #ifndef NOSTREAMIO
@@ -599,4 +599,7 @@
 /*
 $Log: not supported by cvs2svn $
+Revision 1.7  2001/06/27 13:58:06  Singular
+*hannes/GP: debug newfactoras, char_series, ...
+
 Revision 1.6  2000/03/08 12:54:35  obachman
  * comment out warning "libfac: Factoring over algebraic function
Index: libfac/factor/Factor.cc
===================================================================
--- libfac/factor/Factor.cc	(revision e90314894f11eeb9e91dd2e8b38dbaa5f46569d9)
+++ libfac/factor/Factor.cc	(revision b87513c30ef67e4ec83bdb49804f182f9903f736)
@@ -1,5 +1,5 @@
 /* Copyright 1996 Michael Messollen. All rights reserved. */
 ///////////////////////////////////////////////////////////////////////////////
-static char * rcsid = "$Id: Factor.cc,v 1.7 2001-06-21 14:57:05 Singular Exp $ ";
+static char * rcsid = "$Id: Factor.cc,v 1.8 2001-08-06 08:32:54 Singular Exp $ ";
 static char * errmsg = "\nYou found a bug!\nPlease inform (Michael Messollen) michael@math.uni-sb.de \nPlease include above information and your input (the ideal/polynomial and characteristic) in your bug-report.\nThank you.";
 ///////////////////////////////////////////////////////////////////////////////
@@ -527,5 +527,5 @@
                degree(getMipo(Extension,'x')) );
       TIMING_START(evaluate_time);
-     #if 0 	       
+     #if 1
       Outputlist = factorize(F,Extension);
      #else
@@ -637,5 +637,5 @@
       DEBOUTLN(cout, "Univ. Factorization over extension of degree ",
                degree(getMipo(Extension,'x')) );
-     #if 0 	       
+     #if 1
       UnivariateFactorlist = factorize(ffuni,Extension);
      #else
@@ -823,4 +823,7 @@
 /*
 $Log: not supported by cvs2svn $
+Revision 1.7  2001/06/21 14:57:05  Singular
+*hannes/GP: Factorize, newfactoras, ...
+
 Revision 1.6  2001/06/18 08:44:41  pfister
 * hannes/GP/michael: factory debug, Factorize
Index: libfac/factor/Truefactor.cc
===================================================================
--- libfac/factor/Truefactor.cc	(revision e90314894f11eeb9e91dd2e8b38dbaa5f46569d9)
+++ libfac/factor/Truefactor.cc	(revision b87513c30ef67e4ec83bdb49804f182f9903f736)
@@ -2,5 +2,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 // emacs edit mode for this file is -*- C++ -*-
-//static char * rcsid = "@(#) $Id: Truefactor.cc,v 1.6 2001-06-27 13:58:06 Singular Exp $";
+//static char * rcsid = "@(#) $Id: Truefactor.cc,v 1.7 2001-08-06 08:32:54 Singular Exp $";
 ///////////////////////////////////////////////////////////////////////////////
 // Factory - Includes
@@ -223,5 +223,6 @@
     //cout << "           1:" << change_poly(factor.factor(),SubstitutionList,1) <<endl;
     c= mydivremt(U,test_f,a,b);
-    if (  c  && b == U.genZero() && !hasAlgVar(test_f)) // factor.getFactor() divides U
+    if (  c  && b == U.genZero() && !hasAlgVar(test_f))
+    // factor.getFactor() divides U
     {
       //cout << " teilt:" << test_f <<endl;
@@ -409,4 +410,7 @@
 /*
 $Log: not supported by cvs2svn $
+Revision 1.6  2001/06/27 13:58:06  Singular
+*hannes/GP: debug newfactoras, char_series, ...
+
 Revision 1.5  2001/06/21 14:57:06  Singular
 *hannes/GP: Factorize, newfactoras, ...
